Package ru.bitel.bgbilling.kernel.module.server.bean

# Class UserManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<User>
ru.bitel.bgbilling.common.dao.AbstractIdDao<User>
ru.bitel.bgbilling.kernel.module.server.bean.UserManager

public class UserManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<User>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkLogin(String login, int userID)`
  Проверка на уникальность логина пользователя с учетом кода пользователя.
  `void`
  `findSearchResult(SearchResult<User> searchResult)`
  `protected User`
  `getFromRS(ResultSet rs)`
  `User`
  `getUserByLogin(String login)`
  Возвращает пользователя биллинга по его логину.
  `Map<Integer,User>`
  `getUsersMap()`
  Возвращает карту пользователей и их кодов
  `List<User>`
  `list()`
  `protected void`
  `updateImpl(User user)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserManager

    public UserManager(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(User user) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<User>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected User getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<User>`
    Throws:
      `SQLException`

  - ### getUsersMap

    public Map<Integer,User> getUsersMap() throws SQLException
    Возвращает карту пользователей и их кодов
    Returns:
    Throws:
      `SQLException`

  - ### findSearchResult

    public void findSearchResult(SearchResult<User> searchResult) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### checkLogin

    public boolean checkLogin(String login, int userID) throws SQLException
    Проверка на уникальность логина пользователя с учетом кода пользователя. Если есть пользователь с проверяемым логином, но с другим кодом (в т.ч. 0), значит происходит попытка изменить существующего пользователя, либо создать нового и назначить ему логин другого пользователя - в этом случае вернется true.
    Parameters:
      `login` - логин
      `userID` - код пользователя
    Returns:
      true - если в БД уже есть такой логин, false - в противном случае.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<User> list() throws SQLException
    Throws:
      `SQLException`

  - ### getUserByLogin

    public User getUserByLogin(String login) throws SQLException
    Возвращает пользователя биллинга по его логину.
    Parameters:
      `login` - логин пользователя.
    Returns:
      объект "юзер", либо null если не найдено.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`